<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateTableAlbumStatistical extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('album_statistical', function (Blueprint $table) {
            $table->increments('id');
            $table->unsignedInteger('store_id')->comment('store_id');
            $table->unsignedInteger('share_times')->comment('分享次数');
            $table->unsignedInteger('favorite_times')->comment('收藏次数');
            $table->unsignedInteger('time')->comment('行为时间戳');
            $table->softDeletes();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('album_statistical');
    }
}
